Package: org.codehaus.groovy.transform.sc.transformers

## [Java] Class BinaryExpressionTransformer

- org.codehaus.groovy.transform.sc.transformers.BinaryExpressionTransformer

-     public class BinaryExpressionTransformer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryExpressionTransformer(StaticCompilationTransformer staticCompilationTransformer)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `transformBinaryExpression(BinaryExpression bin)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public BinaryExpressionTransformer(StaticCompilationTransformer staticCompilationTransformer)

  - ### Method Detail

    - #### public Expression transformBinaryExpression(BinaryExpression bin)